Автор Тема: xsane сломала систему, теперь восстанавливаю связи пакетов  (Прочитано 1338 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн epros

  • Активный пользователь
  • **
  • Topic Author
  • Сообщений: 71
Уточняю про "замкнутый круг":
Решил операции с пакетами проделать по шагам. Скачал libgcc1 с помощью apt-get download. Скачалось с репозитория mephi jessie main (я всегда им пользовался). Попытался установить с помощью dpkg -i. Говорит, что нужен multiarch-support, который "установлен, но не настроен". Таким же образом скачал его, попытался установить с помощью dpkg -i. Говорит, что нужен libc6, который "пока не настроен". Таким же образом скачиваю libc6, пытаюсь установить с помощью dpkg -i.

Опа, говорит: "подпроцесс новый сценарий pre-installation возвратил код ошибки 2"
Что бы это значило?
 

Оффлайн ecc83

  • Ветеран
  • *****
  • Сообщений: 1361
  • Debian, Openbox, macOS
Опа, говорит: "подпроцесс новый сценарий pre-installation возвратил код ошибки 2"
Что бы это значило?

Это значит что вы занимаетесь ерундой, а точнее умышленно ломаете систему.

Если хотите установить пакет локально, который содежит зависимости, то скачайте и установите утилиту gdebi.
 

Оффлайн epros

  • Активный пользователь
  • **
  • Topic Author
  • Сообщений: 71
Если хотите установить пакет локально, который содежит зависимости, то скачайте и установите утилиту gdebi.
Не то чтобы хочу установить локально. Скорее, хочу разобраться, почему зависимости не разрешились "глобально" - с помощью того же apper. Я ведь правильно понимаю, что он должен был это  сделать? Но gdebi попробую.

Пока попробовал dpkg --configure a. В итоге получил:
"libc6 зависит от libgcc1, однако пакет libgcc1 не установлен"
"Пакет multiarch-support зависит от libc6, однако пакет libc6 пока не настроен"

Воистину замкнутый круг...


P.S. Увы, gdebi тоже не ставится: "неудовлетворенные зависимости". И опять предлагает apt-get -f install, что я уже проходил...
« Последнее редактирование: 24 Июнь 2019, 22:15:38 от epros »
 

Оффлайн ecc83

  • Ветеран
  • *****
  • Сообщений: 1361
  • Debian, Openbox, macOS
Увы, gdebi тоже не ставится

Это значит, что "кто то" ковырялся с source.list.
Начните с настройки репозиториев, а точнее к приведению их к стандартному виду.
 

Оффлайн G_r_i_g_a

  • Местный житель
  • ***
  • Сообщений: 303
А вообще что за система? Покажи вывод:
uname -aИ сразу, что там с репами?
cat /etc/apt/sources.listВывод можешь выложить просто фотографией
 

Оффлайн ek-nfn

  • Devuan ASCII x64
  • Местный житель
  • ***
  • Сообщений: 249
Не то чтобы хочу установить локально. Скорее, хочу разобраться, почему зависимости не разрешились "глобально" - с помощью того же apper.
Установите основному репозитарию приоритет 1001 и обновите систему. Все "чужие" пакеты заменит на "родные", скорее всего с понижением версии, но система застабилизируется. Потом уже, снизив приоритет до стандартного (990-1000) и выставив остальным репозитариям не более 500, при реальной необходимости, а не просто типа чтоб были поновее, начнете осторожно обновлять нужные пакеты.
« Последнее редактирование: 25 Июнь 2019, 06:58:40 от ek-nfn »
 

Теги: